Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class NodeInstanceLog

    java.lang.Object
      org.jbpm.process.audit.NodeInstanceLog

All Implemented Interfaces:
  Serializable, AuditEvent, NodeInstanceLog

    @Entity
    public class NodeInstanceLog

extends Object
implements Serializable, AuditEvent, NodeInstanceLog

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kie.api.runtime.manager.audit.NodeInstanceLog
`TYPE_ENTER, TYPE_EXIT`

Constructor Summary
`NodeInstanceLog()`
`NodeInstanceLog(int type, long processInstanceId, String processId, String nodeInstanceId, String nodeId, String nodeName)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getConnection()` Incoming or outgoing connection identifier (sequence flow) for given node.
`Date` | `getDate()` Date on when this node was triggered
`String` | `getExternalId()` External (optional) identifier associated with this process instance
`long` | `getId()`
`String` | `getNodeId()` Identifier of the node which usually is the unique identifier from process definition, but can be unique identifier assigned by the engine when unique id is not available
`String` | `getNodeInstanceId()` Unique identifier of the node instance
`String` | `getNodeName()` Name of the node from process definition
`String` | `getNodeType()` Node type that indicates what sort of activity it was e.g.
`String` | `getProcessId()` Process id of the definition
`Long` | `getProcessInstanceId()` Process instance identifier
`Integer` | `getType()` Type of the node instance log entry - Entry or Exit
`Long` | `getWorkItemId()` Identifier of work item that this node refers to, might be null if it's not work item based node
`int` | `hashCode()`
`void` | `setConnection(String connection)`
`void` | `setDate(Date date)`
`void` | `setExternalId(String domainId)`
`void` | `setNodeId(String nodeId)`
`void` | `setNodeInstanceId(String nodeInstanceId)`
`void` | `setNodeName(String nodeName)`
`void` | `setNodeType(String nodeType)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setType(int type)`
`void` | `setWorkItemId(Long workItemId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeInstanceLog

    public NodeInstanceLog()

### NodeInstanceLog

    public NodeInstanceLog(int type,
                           long processInstanceId,
                           String processId,
                           String nodeInstanceId,
                           String nodeId,
                           String nodeName)

Method Detail

### getType

    public Integer getType()

  Description copied from interface: `NodeInstanceLog`
  Type of the node instance log entry - Entry or Exit

  Specified by:
    `getType` in interface `NodeInstanceLog`
  Returns:
  See Also:
    `NodeInstanceLog.TYPE_ENTER`, `NodeInstanceLog.TYPE_EXIT`

### setType

    public void setType(int type)

### getId

    public long getId()

### getProcessInstanceId

    public Long getProcessInstanceId()

  Description copied from interface: `NodeInstanceLog`
  Process instance identifier

  Specified by:
    `getProcessInstanceId` in interface `AuditEvent`
  Specified by:
    `getProcessInstanceId` in interface `NodeInstanceLog`
  Returns:

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### getProcessId

    public String getProcessId()

  Description copied from interface: `NodeInstanceLog`
  Process id of the definition

  Specified by:
    `getProcessId` in interface `AuditEvent`
  Specified by:
    `getProcessId` in interface `NodeInstanceLog`
  Returns:

### setProcessId

    public void setProcessId(String processId)

### getNodeInstanceId

    public String getNodeInstanceId()

  Description copied from interface: `NodeInstanceLog`
  Unique identifier of the node instance

  Specified by:
    `getNodeInstanceId` in interface `NodeInstanceLog`
  Returns:

### setNodeInstanceId

    public void setNodeInstanceId(String nodeInstanceId)

### getNodeId

    public String getNodeId()

  Description copied from interface: `NodeInstanceLog`
  Identifier of the node which usually is the unique identifier from process definition, but can be unique identifier assigned by the engine when unique id is not available

  Specified by:
    `getNodeId` in interface `NodeInstanceLog`
  Returns:

### setNodeId

    public void setNodeId(String nodeId)

### getNodeName

    public String getNodeName()

  Description copied from interface: `NodeInstanceLog`
  Name of the node from process definition

  Specified by:
    `getNodeName` in interface `NodeInstanceLog`
  Returns:

### setNodeName

    public void setNodeName(String nodeName)

### getDate

    public Date getDate()

  Description copied from interface: `NodeInstanceLog`
  Date on when this node was triggered

  Specified by:
    `getDate` in interface `NodeInstanceLog`
  Returns:

### setDate

    public void setDate(Date date)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getWorkItemId

    public Long getWorkItemId()

  Description copied from interface: `NodeInstanceLog`
  Identifier of work item that this node refers to, might be null if it's not work item based node

  Specified by:
    `getWorkItemId` in interface `NodeInstanceLog`
  Returns:

### setWorkItemId

    public void setWorkItemId(Long workItemId)

### getConnection

    public String getConnection()

  Description copied from interface: `NodeInstanceLog`
  Incoming or outgoing connection identifier (sequence flow) for given node. Incoming or outgoing depends on the type of the node instance log entry where
  - entry type will contain incoming sequence flow
  - exit type will contain outgoing sequence flow

  Specified by:
    `getConnection` in interface `NodeInstanceLog`
  Returns:
  See Also:
    `NodeInstanceLog.getType()`

### setConnection

    public void setConnection(String connection)

### getExternalId

    public String getExternalId()

  Description copied from interface: `NodeInstanceLog`
  External (optional) identifier associated with this process instance

  Specified by:
    `getExternalId` in interface `AuditEvent`
  Specified by:
    `getExternalId` in interface `NodeInstanceLog`
  Returns:

### setExternalId

    public void setExternalId(String domainId)

### getNodeType

    public String getNodeType()

  Description copied from interface: `NodeInstanceLog`
  Node type that indicates what sort of activity it was e.g. Human Task, Script Task, etc

  Specified by:
    `getNodeType` in interface `NodeInstanceLog`
  Returns:

### setNodeType

    public void setNodeType(String nodeType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.